<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [LocationRequirement](./bitburner.locationrequirement.md)

## LocationRequirement interface

Player must be at this location within a city.

**Signature:**

```typescript
interface LocationRequirement 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [location](./bitburner.locationrequirement.location.md) |  | [LocationName](./bitburner.locationname.md) |  |
|  [type](./bitburner.locationrequirement.type.md) |  | "location" |  |

